@echo off
@rem *******************************************************************
@rem * Licensed Materials - Property of IBM
@rem * "Restricted Materials of IBM"
@rem * 5724-N93
@rem * (C) Copyright IBM Corp. 2007 All Rights Reserved.
@rem * US Government Users Restricted Rights - Use, duplication or
@rem * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
@rem *******************************************************************

@rem initialize variables
SETLOCAL
set RC=0
set INSTALLSRC=%~dp0
pushd..
set TDWBDIR=%CD%
popd


rem *** MODIFY THIS IF YOUR MASTER TAG DOES NOT CONTAIN A VALID WAS PROFILE PATH and CELL NAME***
set TDWB_WAS_PROFILE_PATH=
set TDWB_WAS_CELL=

@rem The range for return codes for this script is: [21 - 49].
@rem The reason is explained below for each return code.
@rem 0   - successful
@rem 21   - bad usage
@rem 22   - invalid command line parameters
@rem 23   - TDWB install location doesn't exist
@rem 24   - WAS Profile Path doesn't exist
@rem 26   - error updating WAR module

:parseParams
if "%1" == "" goto setEnvVars
if /I "%1" == "-usage" goto usage
if /I "%1" == "-help"  goto usage
goto usage

:goodParam
shift
shift
goto parseParams


:setEnvVars
set JAVA_DIR=%TDWBDIR:"=%\_jvm
set MASTERTAG=%TDWBDIR:"=%\Install\master.tag

:checkTDWBRoot
if not exist "%MASTERTAG:"=%" goto usageNoTDWBRoot

:setTDWBEnv
echo.
@rem setting the enviroment from master tag
set STR=%TDWBDIR:\=/%
set TDWBDIR=%STR%
for /f "eol=# Tokens=1,3* usebackq delims=  " %%a in ("%MASTERTAG%") do set "%%a"2>%TEMP%\ifix1.2.0.1


:checkWASPROFILEPATH
if not exist "%TDWB_WAS_PROFILE_PATH:"=%" goto noWasProfile


call "%JAVA_DIR:"=%\bin\java" -jar .\checkversion.jar "%TDWB_WAS_PROFILE_PATH:"=%" "%TDWB_WAS_CELL%"
echo.
if errorlevel 1 (
    echo Possible error checking application %SCHEDULER_APPLICATION% and module %WAR_MODULE% version.
    set RC=26
    goto done
)
goto done

:usageBadParam
echo ERROR: The command line parameter, %1, is invalid.
echo Use -usage to see the available command line options
set RC=22
goto done

:usageNoTDWBRoot
echo %TDWBDIR:"=% does not seem to be a valid TDWB install location.
echo Please check the existence of the file %MASTERTAG:"=%
echo.
set RC=23
goto done

:noWasProfile
echo The master tag in the TDWB install location, (%TDWBDIR%\Install\master.tag), does not contain a valid WAS Profile Path.
echo Please specify the proper location for the WAS Profile Path installation.
echo.
set RC=24
goto done

:usage
echo.
echo Usage:
echo   checkVersion
set RC=21


:done
ENDLOCAL


