####################################################################
# Licensed Materials - Property of IBM
# "Restricted Materials of IBM"
# 5724-N93
# (C) Copyright IBM Corp. 2007 All Rights Reserved.
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
###################################################################

import sys
import java
import WAS


LINE_SEPARATOR=java.lang.System.getProperty("line.separator")
ITDWB_APPLICATION_NAME='ITDWB'
LIB_DIR='lib'
SDO_LIBRARY='SDOv1_0'
PARENT_FIRST="PARENT_FIRST"
virtualHostName='ITDWBHost'


# ----------------------------------------------------------
# jython script that update the WAR
# ----------------------------------------------------------
def processArguments(args):
    global application, warmodule, warfile
    cmd = None
    i = 0;
    while args:
        if (args[0] == "-application"):
           application = args[1]
           args=args[1:]
        elif (args[0] == "-warmodule"):
           warmodule = args[1]
           args=args[1:]
        elif (args[0] == "-warfile"):
           warfile = args[1]
           args=args[1:]
        else:
            break
        args=args[1:]


# main
def main(argv=None):
    global application, warmodule, warfile

    if argv is None:
        argv = sys.argv
    application=ITDWB_APPLICATION_NAME
    processArguments(argv)

    cell   = WAS.getCell()
    node   = WAS.getNode(cell)
    server = None

    try:
      #update the WAR
      WAS.removeClassloader(cell, node, server, application, SDO_LIBRARY)
      print 'updating ' + application
      appOptions = ['-MapWebModToVH', [['OSGIBundles', 'OSGIBundles.war,WEB-INF/web.xml', virtualHostName]] , '-operation update -contents \"'+ warfile + '\" -contenturi '+ warmodule + ' -usedefaultbindings -nodeployejb']
      AdminApp.update(application,'modulefile',appOptions)
      WAS.createClassloader(cell, node, server, application, SDO_LIBRARY, PARENT_FIRST)
    except:
        print 'rolling back changes to WebSphere'
        AdminConfig.reset()
        sys.exit(1)
    else:
        print 'Saving changes to WebSphere'
        AdminConfig.save()

if __name__ == "main":
  WAS.AdminConfig = AdminConfig
  WAS.AdminApp = AdminApp
  sys.exit(main())


